List accreditations | Parallel Developer Documentation
This is unreleased documentation for Parallel Developer Documentation Next 🚧 version.
For up-to-date documentation, see the latest version (Current – v2.x).
Version: Next 🚧
Overview
This endpoint can be used to obtain a list of all accreditation applications made by an individual or business.
Note that if an individual or business says that they cannot meet the requirements for accreditation and cannot submit an application, the list described below will be empty.
For more information, see the
indicated_unaccredited_atfield on the Individual Record Details and Business Record Details objects returned by the Records API.
HTTP Request
GET https://api.parallelmarkets.com/v2/partner-records/{id}/accreditations
{id}- The individual or business ID in your case management account. If an external_id has been set, theexternal_idvalue can be used instead.
Query Parameters
Pagination request parameters (optional).
| Parameter | Description |
|---|---|
unsubmitted (boolean) |
Optional. Filter the list according to whether the accreditation application was finished and submitted by the user. All applications are returned if the parameter is not provided. - true - Only return unfinished accreditation applications.- false - Only return submitted accreditation applications. |
Response Parameters
| Parameter | Description |
|---|---|
data |
An array of Business Accreditation or Individual Accreditation objects associated with the individual or business. |
pagination |
A Pagination object containing a next_cursor value that can be used in a subsequent API call to obtain the next page of records. |
Example Response
Individual
{
"data": [
{
"assertion_type": "income",
"certified_at": "2023-09-01T16:00:00Z",
"change_ids": ["UG9kVXNlckRhdGFFbnRyeTo5NTA="],
"created_at": "2023-09-01T12:05:00Z",
"started_at": "2023-09-01T12:00:00Z",
"submitted_at": "2023-09-01T12:05:00Z",
"expires_at": "2023-11-01T16:00:00Z",
"rejected_at": null,
"canceled_at": null,
"id": "VXNlckFjY3JlZGl0YXRpb246MQ==",
"status": "current",
"first_name": "Snake",
"last_name": "Plissken",
"documents": [
{
"download_url": "https://api.parallelmarkets.com/files/123?token=abc123",
"download_url_expires": 30,
"type": "certification-letter"
}
]
}
],
"pagination": {
"next_cursor": "MTIzNDU="
}
}
Business
{
"data": [
{
"assertion_type": "income",
"certified_at": "2023-09-01T16:00:00Z",
"change_ids": ["UG9kVXNlckRhdGFFbnRyeTo5NTA="],
"created_at": "2023-09-01T12:05:00Z",
"started_at": "2023-09-01T12:00:00Z",
"submitted_at": "2023-09-01T12:05:00Z",
"expires_at": "2023-11-01T16:00:00Z",
"rejected_at": null,
"canceled_at": null,
"id": "VXNlckFjY3JlZGl0YXRpb246MQ==",
"status": "current",
"name": "Compu-Global-Hyper-Mega-Net, Inc.",
"documents": [
{
"download_url": "https://api.parallelmarkets.com/files/123?token=abc123",
"download_url_expires": 30,
"type": "certification-letter"
}
],
"reviewer_note": {
"text": "Waiting for additional documentation from subject.",
"created_at": "2023-09-01T16:00:00Z"
}
}
],
"pagination": {
"next_cursor": "MTIzNDU="
}
}